%define majorver 8.6

Summary: The graphical toolkit for the Tcl scripting language
Name: tk
Version: %{majorver}.2
Release: 1
License: TCL
Group: Development/Languages
URL: http://tcl.sourceforge.net
Source0: http://download.sourceforge.net/tcl/%{name}%{version}-src.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: tcl-devel = %{version}
BuildRequires: fontconfig-devel >= 2.5.0
BuildRequires: libXft-devel >= 2.1.14
Requires: tcl = %{version}
Requires: fontconfig >= 2.5.0
Requires: libXft >= 2.1.14

%define _libdir64 %{_prefix}/lib64

%description
When paired with the Tcl scripting language, Tk provides a fast and powerful
way to create cross-platform GUI applications.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Tk graphical toolkit development files
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: tcl-devel = %{version}

%description devel
When paired with the Tcl scripting language, Tk provides a fast and powerful
way to create cross-platform GUI applications.

The package contains the development files and man pages for tk.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
%setup -q -n %{name}%{version}
mkdir -p ../64bit
cp -r * ../64bit/
mv ../64bit .


%build
# first build the 64-bit version
export OBJECT_MODE=64
cd 64bit/unix
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir64} \
    --enable-64bit \
    --enable-shared --disable-static \
    --enable-threads \
    --enable-xft \
    --with-x \
    --with-tcl=%{_libdir64}
/opt/freeware/bin/sed -i -e "s|-L\/opt\/freeware\/lib|-L\/opt\/freeware\/lib64|g" config.status
./config.status
make %{?_smp_mflags} TK_LIBRARY=%{_datadir}/%{name}%{majorver}
cd ../..

# now build the 32-bit version
export OBJECT_MODE=32
cd unix
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --enable-threads \
    --enable-xft \
    --with-x
make %{?_smp_mflags} TK_LIBRARY=%{_datadir}/%{name}%{majorver}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export OBJECT_MODE=64
cd 64bit/unix
make DESTDIR=${RPM_BUILD_ROOT} install TK_LIBRARY=%{_datadir}/%{name}%{majorver}
mv ${RPM_BUILD_ROOT}%{_bindir}/wish%{majorver} ${RPM_BUILD_ROOT}%{_bindir}/wish%{majorver}_64
cd ../..

export OBJECT_MODE=32
cd unix
make DESTDIR=${RPM_BUILD_ROOT} install TK_LIBRARY=%{_datadir}/%{name}%{majorver}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

ln -sf wish%{majorver} ${RPM_BUILD_ROOT}%{_bindir}/wish
ln -sf wish%{majorver}_64 ${RPM_BUILD_ROOT}%{_bindir}/wish_64

ln -sf lib%{name}%{majorver}.so ${RPM_BUILD_ROOT}%{_libdir}/lib%{name}.so
ln -sf lib%{name}%{majorver}.so ${RPM_BUILD_ROOT}%{_libdir64}/lib%{name}.so

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib lib64
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README changes license.terms
%{_bindir}/wish*
%{_libdir}/lib*.so*
%{_libdir64}/lib*.so*
%dir %{_libdir}/%{name}%{majorver}
%dir %{_libdir64}/%{name}%{majorver}
%{_libdir}/%{name}%{majorver}/*
%{_libdir64}/%{name}%{majorver}/*
%dir %{_datadir}/%{name}%{majorver}
%{_datadir}/%{name}%{majorver}/*
%{_mandir}/man1/*
%{_mandir}/mann/*
/usr/bin/wish*
/usr/lib/lib*.so*
/usr/lib64/lib*.so*


%files devel
%defattr(-,root,system)
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir64}/lib*.a
%{_libdir}/%{name}Config.sh
%{_libdir64}/%{name}Config.sh
%{_libdir}/pkgconfig/*
%{_libdir64}/pkgconfig/*
%{_mandir}/man3/*
/usr/include/*
/usr/lib/lib*.a
/usr/lib64/lib*.a


%changelog
* Wed Sep 24 2014 Michael Perzl <michael@perzl.org> - 8.6.2-1
- updated to version 8.6.2

* Wed Sep 24 2014 Michael Perzl <michael@perzl.org> - 8.6.1-1
- updated to version 8.6.1

* Wed Sep 24 2014 Michael Perzl <michael@perzl.org> - 8.6.0-1
- updated to version 8.6.0

* Wed Nov 21 2012 Michael Perzl <michael@perzl.org> - 8.5.13-1
- updated to version 8.5.13

* Thu Aug 02 2012 Michael Perzl <michael@perzl.org> - 8.5.12-1
- updated to version 8.5.12

* Wed Nov 09 2011 Michael Perzl <michael@perzl.org> - 8.5.11-1
- updated to version 8.5.11

* Fri Jul 01 2011 Michael Perzl <michael@perzl.org> - 8.5.10-1
- updated to version 8.5.10

* Fri Nov 05 2010 Michael Perzl <michael@perzl.org> - 8.5.9-1
- updated to version 8.5.9

* Wed Nov 18 2009 Michael Perzl <michael@perzl.org> - 8.5.8-1
- updated to version 8.5.8

* Wed Jul 01 2009 Michael Perzl <michael@perzl.org> - 8.5.7-1
- updated to version 8.5.7

* Fri Jan 16 2009 Michael Perzl <michael@perzl.org> - 8.5.6-1
- updated to version 8.5.6

* Sat Nov 01 2008 Michael Perzl <michael@perzl.org> - 8.5.5-1
- updated to version 8.5.5

* Mon Aug 18 2008 Michael Perzl <michael@perzl.org> - 8.5.4-1
- updated to version 8.5.4 and included both 32-bit and 64-bit shared objects

* Mon Jul 07 2008 Michael Perzl <michael@perzl.org> - 8.5.3-1
- updated to version 8.5.3

* Thu Apr 24 2008 Michael Perzl <michael@perzl.org> - 8.5.2-1
- first version for AIX V5.1 and higher
